> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withflock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Webhooks



## OpenAPI

````yaml post /webhooks/upsert
openapi: 3.0.0
info:
  title: Flock API
  description: API Documentation for Flock
  version: '1.0'
  contact: {}
servers:
  - url: https://api-dev.withflock.com
security: []
tags: []
paths:
  /webhooks/upsert:
    post:
      tags:
        - Webhook
      operationId: WebhookController_upsertWebhooks
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertWebhooksDTO'
      responses:
        '201':
          description: ''
      security:
        - accessKey: []
components:
  schemas:
    UpsertWebhooksDTO:
      type: object
      properties:
        webhooks:
          description: >-
            An array of webhook payloads to upsert. This will replace all
            existing webhooks in your application.
          type: array
          items:
            type: string
      required:
        - webhooks
  securitySchemes:
    accessKey:
      type: apiKey
      in: header
      name: Authorization

````